cabal-version: 1.12

-- This file has been generated from package.yaml by hpack version 0.34.6.
--
-- see: https://github.com/sol/hpack

name:           water-fall
version:        0.0.1
synopsis:       Water fall problem
author:         Providence Salumu
maintainer:     Providence.Salumu@smunix.com
license:        BSD3
license-file:   LICENSE
build-type:     Simple

library
  exposed-modules:
      WaterFall.WaterFall
  other-modules:
      Paths_water_fall
  hs-source-dirs:
      lib
  default-extensions:
      LambdaCase
      ViewPatterns
      RankNTypes
      ScopedTypeVariables
      TypeApplications
  build-depends:
      array
    , base
  default-language: Haskell2010
